Application: gvSIG desktop - gvSIG bugs #1112
Anadir Tabla: no deberian aparecer drivers de formatos cartografia
09/11/2012 09:46 AM - Alvaro Anguix

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Document table

Target version: 2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2052 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Al anadir un nuevo documento tabla aparecen los drivers de formatos de cartografia: dxf, dgn...
No deberian aparecer porque confunden al usuario y son una fuente de errores.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2286: File filter in Ope... Closed 02/04/2014

History

#1 - 09/11/2012 11:24 AM - Cesar Ordifiana

Hola Alvaro.

Esto que comentas es precisamente una de las nuevas funcionalidades que aporta la versién 2 de gvSIG. ;Podrias comentar qué errores provoca?

No se si sera un problema relacionado con la costumbre, al no permitir esto las versiones 1.x.

En cualquier caso, no lo veo como un bug. Si es un tema muy problematico se podria poner como una opcion en las preferencias.

#2 - 09/11/2012 11:29 AM - Cesar Ordifana

Cesar Ordifiana wrote:

Hola Alvaro.

Esto que comentas es precisamente una de las nuevas funcionalidades que aporta la version 2 de gvSIG. ;Podrias comentar qué errores

provoca? No se si sera un problema relacionado con la costumbre, al no permitir esto las versiones 1.x.

En cualquier caso, no lo veo como un bug. Si es un tema muy problematico se podria poner como una opcion en las preferencias.

Vale, creo que ya te sigo, te refieres a los formatos que no tienen otros datos que no sean geométricos.
De todas formas yo optaria por mejorar el comportamiento en estos casos, activando por defecto la columna de la geometria cuando es la Unica

disponible. Adicionalmente se podria hacer lo que comentaba de las preferencias, permitiendo al usuario la desactivacion de fuentes de datos
concretas para el documento tabla.
#3 - 09/11/2012 11:42 AM - Alvaro Anguix

Si, cuando vas a afadir una tabla aparecen drivers que no tienen sentido para el usuario normal, ya que no son formatos de tabla (shp, dxf,...).
Y si por alguna de aquellas seleccionas uno de ellos y le das a afiadir aparece un mensaje de error tipo "Checks parameters. Errors found validating
'Persistence:SHPStoreParameters'. Field 'CRS': Value required.

Creo que entiendo tU sugerencia. Yo directamente no los pondria, al menos el 99,99% de los usuarios no van a querer cargar una capa en la que sélo

consultar un campo geometria y creo que conlleva mucha mas confusién que otra cosa. Fijate que es un campo que ni se visualiza cuando cargamos

el shp o el formato de capa que sea y abrimos su tabla asociada.

#4 - 10/30/2012 01:33 PM - Manuel Madrid
- Category set to Document table

- Priority changed from Normal to Low

- Target version set to 2.0.0-rc1

Hola.

Independientemente de lo Gtil que pueda resultar poder cargar como tabla ficheros que solo contengan datos geoespaciales, mientras no se gestione
bien la carga de estos mejor filtrarlos.

Por otro lado identifico la necesidad de definir una preferencia para usuarios avanzados (que venga desactivada por defecto) que permita activar
funcionalidades como esta sin que el usuario estandar, que como dice Alvaro son la gran mayoria, se vea afectado.

#5 - 12/07/2012 01:47 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#6 - 12/15/2012 06:30 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#7 - 01/13/2014 05:22 PM - Alvaro Anguix
- Assignee set to Ignacio Brodin

- Priority changed from Low to Normal

#8 - 01/14/2014 02:22 PM - Alvaro Anguix

- Assignee changed from Ignacio Brodin to Juan Lucas Dominguez

#9 - 01/16/2014 12:14 PM - Alvaro Anguix
- Target version set to 2.1.0-2218-testing

#10 - 01/16/2014 04:24 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2223-rc1

#11 - 02/04/2014 11:11 AM - Alvaro Anguix

- Status changed from New to Invalid

Lo elimino, ya que esta duplicado y dejo la version en inglés.

#12 - 02/19/2014 04:27 PM - Alvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2221-testing
